Subject: Re: bug#2151: 23.0.90; Building the 23.0.90 pretest recompiles Lisp files

From: Stefan Monnier <[email-masked]>
Date: Sat, 28 Feb 2009 17:06:53 -0500

>> I am not interested in adding hacks specifically to speed up building
>> from the tarball.
> Thanks a lot for your kind words about my repeated attempts to find an
> agreeable solution of this problem.

Since you keep insisting on finding tarball-only solutions, I felt the
need to make painfully clear that I'm not interested in such solutions.

>> I just installed the patch that prevents recompiling
>> all the .elc files just because the src/bootstrap-emacs isn't present.

> Well, it doesn't seem to work.  Here's what I did to test it (on a
> GNU/Linux machine):

>   . unpack emacs-23.0.91 pretest tarball
>   . replace the top-level Makefile.in with the one from today's CVS
>   . verify by `diff' that Makefile.in indeed has your changes
>   . ./configure --without-x && make

> Excerpts from the resulting build session are below (the omitted parts
> are marked with "[...]"); they still show that many Lisp files are
> recompiled, after building bootstrap-emacs.

> Did I perhaps need to copy more files from CVS?

No idea.

> Also note this error message:

>   /bin/sh: line 6: cd: src: No such file or directory

> It probably means that something else is wrong with your changes.

Indeed.  We'll have to dig deeper.

        Stefan